Bug 235154 - security/modsecurity3: change to libmaxminddb
Summary: security/modsecurity3: change to libmaxminddb
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jochen Neumeister
URL:
Keywords: needs-patch
Depends on: 235482
Blocks:
  Show dependency treegraph
 
Reported: 2019-01-23 13:21 UTC by Ralf van der Enden
Modified: 2019-02-06 16:12 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (marius.halden)


Attachments
Change from libGeoIP to libmaxminddb and bump PORTREVISION (835 bytes, patch)
2019-01-23 13:21 UTC, Ralf van der Enden
tremere: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ralf van der Enden 2019-01-23 13:21:21 UTC
Created attachment 201359 [details]
Change from libGeoIP to libmaxminddb and bump PORTREVISION

ModSecurity 3 supports both libGeoIP and libmaxminddb out of the box, so changing the LIB_DEPENDS is sufficient to make the move.
Comment 1 Marius Halden 2019-01-23 13:26:25 UTC
Looks good to me.
Comment 2 Ralf van der Enden 2019-01-24 08:15:49 UTC
Here's the poudriere buildlog for completeness:
https://pkg.cainites.net/data/freebsd_12x64-system/2019-01-23_14h38m39s/logs/modsecurity3-3.0.3_2.log
Comment 4 Ralf van der Enden 2019-01-29 08:47:55 UTC
I figured out what the problem is. When compiling libmaxminddb on i386 with clang it incorrectly determines unsigned __int128 is available.

Using clang:
checking for unsigned __int128... no
checking for unsigned int __attribute__((mode(TI)))... yes

Using gcc:
checking for unsigned __int128... no
checking for unsigned int __attribute__((mode(TI)))... no

This results in an incorrect maxminddb_config.h, which in turn can make dependant software fail.

Since I have no idea how to fix libmaxminddb using clang, my solution would be to compile it with GCC on i386. If you agree I'll create a PR for libmaxminddb as well.
Comment 5 Ralf van der Enden 2019-02-04 08:54:06 UTC
PR created for net/libmaxminddb (see Depends on)
Comment 6 commit-hook freebsd_committer 2019-02-06 16:11:48 UTC
A commit references this bug:

Author: joneum
Date: Wed Feb  6 16:11:06 UTC 2019
New revision: 492312
URL: https://svnweb.freebsd.org/changeset/ports/492312

Log:
  Change from libGeoIP to libmaxminddb and bump PORTREVISION

  PR:		235154
  Reported by:	Ralf van der Enden <tremere@cainites.net>
  Approved by:	Marius Halden <marius.halden@modirum.com> (maintainer)
  Sponsored by:	Netzkommune GmbH

Changes:
  head/security/modsecurity3/Makefile
Comment 7 Jochen Neumeister freebsd_committer 2019-02-06 16:12:17 UTC
Landed. Thx :-)